org.bouncycastle.asn1.isismtt.x509

## Class DeclarationOfMajority

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.isismtt.x509.DeclarationOfMajority

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class DeclarationOfMajority
    extends ASN1Encodable
    implements ASN1Choice

A declaration of majority.

               DeclarationOfMajoritySyntax ::= CHOICE
               {
                 notYoungerThan [0] IMPLICIT INTEGER,
                 fullAgeAtCountry [1] IMPLICIT SEQUENCE
                 {
                   fullAge BOOLEAN DEFAULT TRUE,
                   country PrintableString (SIZE(2))
                 }
                 dateOfBirth [2] IMPLICIT GeneralizedTime
               }

fullAgeAtCountry indicates the majority of the owner with respect to the laws of a specific country.

### Field Summary

Fields
`static int` `dateOfBirth`
`static int` `fullAgeAtCountry`
`static int` `notYoungerThan`

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`DeclarationOfMajority(boolean fullAge, java.lang.String country)`
`DeclarationOfMajority(DERGeneralizedTime dateOfBirth)`
`DeclarationOfMajority(int notYoungerThan)`

### Method Summary

Methods
`ASN1Sequence` `fullAgeAtCountry()`
`DERGeneralizedTime` `getDateOfBirth()`
`static DeclarationOfMajority` `getInstance(java.lang.Object obj)`
`int` `getType()`
`int` `notYoungerThan()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### notYoungerThan

    public static final int notYoungerThan

See Also:
  Constant Field Values

#### fullAgeAtCountry

    public static final int fullAgeAtCountry

See Also:
  Constant Field Values

#### dateOfBirth

    public static final int dateOfBirth

See Also:
  Constant Field Values

### Constructor Detail

#### DeclarationOfMajority

    public DeclarationOfMajority(int notYoungerThan)

#### DeclarationOfMajority

    public DeclarationOfMajority(boolean fullAge,
                         java.lang.String country)

#### DeclarationOfMajority

    public DeclarationOfMajority(DERGeneralizedTime dateOfBirth)

### Method Detail

#### getInstance

    public static DeclarationOfMajority getInstance(java.lang.Object obj)

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

Returns:

               DeclarationOfMajoritySyntax ::= CHOICE
               {
                 notYoungerThan [0] IMPLICIT INTEGER,
                 fullAgeAtCountry [1] IMPLICIT SEQUENCE
                 {
                   fullAge BOOLEAN DEFAULT TRUE,
                   country PrintableString (SIZE(2))
                 }
                 dateOfBirth [2] IMPLICIT GeneralizedTime
               }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a DERObject

#### getType

    public int getType()

#### notYoungerThan

    public int notYoungerThan()

Returns:
  notYoungerThan if that's what we are, -1 otherwise

#### fullAgeAtCountry

    public ASN1Sequence fullAgeAtCountry()

#### getDateOfBirth

    public DERGeneralizedTime getDateOfBirth()